¡Bienvenido!

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios, compartir los mejores contenidos y nuevas ideas de marketing, construir su perfil profesional y mejorar el mercado para todos.

0

ERror al procesar un envio

por
Antonio Ruban
en 28-08-20 14:59 152 vistas

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/clase_util.py", line 151, in validar_xml

    xmlschema.assert_(xml_doc)

  File "src/lxml/etree.pyx", line 3633, in lxml.etree._Validator.assert_

AssertionError: Element '{http://www.sii.cl/SiiDte}NmbEnvio': [facet 'maxLength'] The value has a length of '90'; this exceeds the allowed maximum length of '80'., line 4


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 653, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 695, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 938, in call_button

    action = self._call_kw(model, method, args, {})

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 699, in call_kw

    return call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 690, in call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/custom/addons/l10n_cl_fe/models/mail_message_dte.py", line 60, in process_message

    created.extend(val.confirm(ret=True))

  File "/usr/lib/python3/dist-packages/odoo/custom/addons/l10n_cl_fe/wizard/upload_xml.py", line 94, in confirm

    created = self.do_create_pre()

  File "/usr/lib/python3/dist-packages/odoo/custom/addons/l10n_cl_fe/wizard/upload_xml.py", line 907, in do_create_pre

    self.do_receipt_deliver()

  File "/usr/lib/python3/dist-packages/odoo/custom/addons/l10n_cl_fe/wizard/upload_xml.py", line 212, in do_receipt_deliver

    respuesta = fe.leer_xml(vals)

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/facturacion_electronica.py", line 341, in leer_xml

    respuestas = resp.do_receipt_deliver()

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/envio.py", line 647, in do_receipt_deliver

    self.firmar('env_resp')

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/envio.py", line 516, in firmar

    self.sii_xml_request, self.ID, type)

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/firma.py", line 269, in firmar

    return self.append_sig(el.tag, string, firma, type)

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/firma.py", line 161, in append_sig

    result = result if util.validar_xml(result, type) else ''

  File "/usr/local/lib/python3.6/dist-packages/facturacion_electronica/clase_util.py", line 156, in validar_xml

    raise UserError('XML Malformed Error:  %s' % e.args)

facturacion_electronica.clase_util.UserError: XML Malformed Error:  Element '{http://www.sii.cl/SiiDte}NmbEnvio': [facet 'maxLength'] The value has a length of '90'; this exceeds the allowed maximum length of '80'., line 4


0

Daniel Santibáñez Polanco

--Daniel Santibáñez Polanco--
1008
| 3 1 3
Melipilla, Chile
--Daniel Santibáñez Polanco--


Daniel Santibáñez Polanco
En 06-09-20 22:11

hola! esto deebe ir como issue, sin embargo, parece ser por el tanaño del nombre de archivo, el sii admite 80 como ahi indica y llega con 90


Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

13 seguidor(es)

Estadísticas

Preguntado: 28-08-20 14:59
Visto: 152 veces
Última actualización: 06-09-20 22:11